"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.gridRowIdSelector = void 0;
var _gridRowsUtils = require("../features/rows/gridRowsUtils");
/**
 * Get the row id for a given row
 * @param state - The grid state
 * @param {GridRowModel} row - The row to get the id for
 * @returns {GridRowId} The row id
 */
const gridRowIdSelector = (state, row) => {
  if (_gridRowsUtils.GRID_ID_AUTOGENERATED in row) {
    return row[_gridRowsUtils.GRID_ID_AUTOGENERATED];
  }
  return state.props.getRowId ? state.props.getRowId(row) : row.id;
};
exports.gridRowIdSelector = gridRowIdSelector;